PopplioProduction
Tickets
These API endpoints are related to tickets on IBL
GET
/
tickets/{id}Get Ticket
Gets a support ticket. Requires you to be the author of the ticket or have the 'staff' permission
Authorization
User-Auth<token>
Requires a user token. Should be prefixed with User in Authorization header.
In: header
Path Parameters
idRequiredstring
The ticket's ID
curl -X GET "https://spider.omniplex.gg/tickets/string" \
-H "User-Auth: <token>"Success
{
"author": {
"avatar": "string",
"bot": true,
"display_name": "string",
"extra_data": {
"property1": null,
"property2": null
},
"flags": [
"string"
],
"id": "string",
"status": "string",
"username": "string"
},
"channel_id": "string",
"close_user": {
"avatar": "string",
"bot": true,
"display_name": "string",
"extra_data": {
"property1": null,
"property2": null
},
"flags": [
"string"
],
"id": "string",
"status": "string",
"username": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"enc_key": "string",
"id": "string",
"issue": "string",
"messages": [
{
"attachments": [
{
"content_type": "string",
"errors": [
"string"
],
"id": "string",
"name": "string",
"size": 0
}
],
"author": {
"avatar": "string",
"bot": true,
"display_name": "string",
"extra_data": {
"property1": null,
"property2": null
},
"flags": [
"string"
],
"id": "string",
"status": "string",
"username": "string"
},
"author_id": "string",
"content": "string",
"embeds": [
{
"author": {
"icon_url": "string",
"name": "string",
"proxy_icon_url": "string",
"url": "string"
},
"color": 0,
"description": "string",
"fields": [
{
"inline": true,
"name": "string",
"value": "string"
}
],
"footer": {
"icon_url": "string",
"proxy_icon_url": "string",
"text": "string"
},
"image": {
"height": 0,
"proxy_url": "string",
"url": "string",
"width": 0
},
"provider": {
"name": "string",
"url": "string"
},
"thumbnail": {
"height": 0,
"proxy_url": "string",
"url": "string",
"width": 0
},
"timestamp": "2019-08-24T14:15:22Z",
"title": "string",
"type": "string",
"url": "string",
"video": {
"height": 0,
"proxy_url": "string",
"url": "string",
"width": 0
}
}
],
"id": "string",
"timestamp": "2019-08-24T14:15:22Z"
}
],
"open": true,
"ticket_context": {
"property1": "string",
"property2": "string"
},
"topic_id": "string"
}